# HG changeset patch
# Node ID dcd133d8f066
# Parent  15c3fa325087
diff --git a/ibis/ibisconstants.h b/ibis/ibisconstants.h
--- a/ibis/ibisconstants.h
+++ b/ibis/ibisconstants.h
@@ -32,7 +32,9 @@
  *
  * The constant string to use for the `chathistory` batch.
  *
- * See https://ircv3.net/specs/extensions/chathistory for more information.
+ * See
+ * [ircv3.net/specs/extension/chathistory](https://ircv3.net/specs/extensions/chathistory)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -43,8 +45,9 @@
  *
  * The constant string to use for the `labeled-response` batch.
  *
- * See https://ircv3.net/specs/extensions/labeled-response for more
- * information.
+ * See
+ * [ircv3.net/specs/extensions/labeled-response](https://ircv3.net/specs/extensions/labeled-response)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -56,7 +59,9 @@
  *
  * The constant string to use for the `multiline` batch.
  *
- * See https://ircv3.net/specs/extensions/multiline for more information.
+ * See
+ * [ircv3.net/specs/extensions/multiline](https://ircv3.net/specs/extensions/multiline)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -67,7 +72,9 @@
  *
  * The constant string to use for the `netjoin` batch.
  *
- * See https://ircv3.net/specs/batches/netsplit for more information.
+ * See
+ * [ircv3.net/specs/batches/netsplit](https://ircv3.net/specs/batches/netsplit)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -78,7 +85,9 @@
  *
  * The constant string to use for the `netsplit` batch.
  *
- * See https://ircv3.net/specs/batches/netsplit for more information.
+ * See
+ * [ircv3.net/specs/batches/netsplit](https://ircv3.net/specs/batches/netsplit)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -89,7 +98,9 @@
  *
  * The constant string to use when negotiating the `account-notify` capability.
  *
- * See https://ircv3.net/specs/extensions/account-notify for more information.
+ * See
+ * [ircv3.net/specs/extensions/account-notify](https://ircv3.net/specs/extensions/account-notify)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -102,8 +113,9 @@
  * The constant string to use when negotiating the `account-registration`
  * capability.
  *
- * See https://ircv3.net/specs/extensions/account-registration for more
- * information.
+ * See
+ * [ircv3.net/specs/extensions/account-registration](https://ircv3.net/specs/extensions/account-registration)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -115,7 +127,9 @@
  *
  * The constant string to use when negotiating the `account-tag` capability.
  *
- * See https://ircv3.net/specs/extensions/account-tag for more information.
+ * See
+ * [ircv3.net/specs/extensions/account-tag](https://ircv3.net/specs/extensions/account-tag)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -126,7 +140,9 @@
  *
  * The constant string to use when negotiating the `away-notify` capability.
  *
- * See https://ircv3.net/specs/extensions/away-notify for more information.
+ * See
+ * [ircv3.net/specs/extensions/away-notify](https://ircv3.net/specs/extensions/away-notify)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -137,7 +153,9 @@
  *
  * The constant string to use when negotiating the `batch` capability.
  *
- * See https://ircv3.net/specs/extensions/batch for more information.
+ * See
+ * [ircv3.net/specs/extensions/batch](https://ircv3.net/specs/extensions/batch)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -148,8 +166,9 @@
  *
  * The version to pass to the `CAP LS` command.
  *
- * See https://ircv3.net/specs/extensions/capability-negotiation for more
- * information.
+ * See
+ * [ircv3.net/specs/extensions/capability-negotiation](https://ircv3.net/specs/extensions/capability-negotiation)
+ * for more information.
  *
  * Since: 0.1
  */
@@ -162,7 +181,8 @@
  *
  * > Note: Ibis automatically requests and handles this capability.
  *
- * See https://ircv3.net/specs/extensions/capability-negotiation#cap-notify
+ * See
+ * [ircv3.net/specs/extensions/capability-negotiation](https://ircv3.net/specs/extensions/capability-negotiation#cap-notify)
  * for more information.
  *
  * Since: 0.2
@@ -174,7 +194,9 @@
  *
  * The constant string to use when negotiating the `channel-rename` capability.
  *
- * See https://ircv3.net/specs/extensions/channel-rename for more information.
+ * See
+ * [ircv3.net/specs/extensions/channel-rename](https://ircv3.net/specs/extensions/channel-rename)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -186,7 +208,9 @@
  *
  * The constant string to use when negotiating the `chathistory` capability.
  *
- * See https://ircv3.net/specs/extensions/chathistory for more information.
+ * See
+ * [ircv3.net/specs/extensions/chathistory](https://ircv3.net/specs/extensions/chathistory)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -197,7 +221,9 @@
  *
  * The constant string to use when negotiating the `chghost` capability.
  *
- * See https://ircv3.net/specs/extensions/chghost for more information.
+ * See
+ * [ircv3.net/specs/extensions/chghost](https://ircv3.net/specs/extensions/chghost)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -208,7 +234,9 @@
  *
  * The constant string to use when negotiating the `echo-message` capability.
  *
- * See https://ircv3.net/specs/extensions/echo-message for more information.
+ * See
+ * [ircv3.net/specs/extensions/echo-message](https://ircv3.net/specs/extensions/echo-message)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -219,7 +247,9 @@
  *
  * The constant string to use when negotiating the `event-playback` capability.
  *
- * See https://ircv3.net/specs/extensions/chathistory for more information.
+ * See
+ * [ircv3.net/specs/extensions/chathistory](https://ircv3.net/specs/extensions/chathistory)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -231,7 +261,9 @@
  *
  * The constant string to use when negotiating the `extended-join` capability.
  *
- * See https://ircv3.net/specs/extensions/extended-join for more information.
+ * See
+ * [ircv3.net/specs/extensions/extended-join](https://ircv3.net/specs/extensions/extended-join)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -244,8 +276,9 @@
  * The constant string to use when negotiating the `extended-monitor`
  * capability.
  *
- * See https://ircv3.net/specs/extensions/extended-monitor for more
- * information.
+ * See
+ * [ircv3.net/specs/extensions/extended-monitor](https://ircv3.net/specs/extensions/extended-monitor)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -257,7 +290,9 @@
  *
  * The constant string to use when negotiating the `invite-notify` capability.
  *
- * See https://ircv3.net/specs/extensions/invite-notify for more information.
+ * See
+ * [ircv3.net/specs/extensions/invite-notify](https://ircv3.net/specs/extensions/invite-notify)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -270,8 +305,9 @@
  * The constant string to use when negotiating the `labeled-response`
  * capability.
  *
- * See https://ircv3.net/specs/extensions/labeled-response for more
- * information.
+ * See
+ * [ircv3.net/specs/extensions/labeled-response](https://ircv3.net/specs/extensions/labeled-response)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -286,7 +322,9 @@
  * > Note: Ibis automatically requests this capability and handles it via
  * [class@Tags].
  *
- * See https://ircv3.net/specs/extensions/message-tags for more information.
+ * See
+ * [ircv3.net/specs/extensions/message-tags](https://ircv3.net/specs/extensions/message-tags)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -297,7 +335,9 @@
  *
  * The constant string to use when negotiating the `monitor` capability.
  *
- * See https://ircv3.net/specs/extensions/monitor for more information.
+ * See
+ * [ircv3.net/specs/extensions/monitor](https://ircv3.net/specs/extensions/monitor)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -308,7 +348,9 @@
  *
  * The constant string to use when negotiating the `multi-prefix` capability.
  *
- * See https://ircv3.net/specs/extensions/multi-prefix for more information.
+ * See
+ * [ircv3.net/specs/extensions/multi-prefix](https://ircv3.net/specs/extensions/multi-prefix)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -319,7 +361,9 @@
  *
  * The constant string to use when negotiating the `multiline` capability.
  *
- * See https://ircv3.net/specs/extensions/multiline for more information.
+ * See
+ * [ircv3.net/specs/extensions/multiline](https://ircv3.net/specs/extensions/multiline)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -331,8 +375,9 @@
  * The constant string to use when negotiating the `no-implicit-names`
  * capability.
  *
- * See https://ircv3.net/specs/extensions/no-implicit-names for more
- * information.
+ * See
+ * [ircv3.net/specs/extensions/no-implicit-names](https://ircv3.net/specs/extensions/no-implicit-names)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -344,7 +389,9 @@
  *
  * The constant string to use when negotiating the `pre-away` capability.
  *
- * See https://ircv3.net/specs/extensions/pre-away for more information.
+ * See
+ * [ircv3.net/specs/extensions/pre-away](https://ircv3.net/specs/extensions/pre-away)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -355,7 +402,9 @@
  *
  * The constant string to use when negotiating the `read-marker` capability.
  *
- * See https://ircv3.net/specs/extensions/read-marker for more information.
+ * See
+ * [ircv3.net/specs/extensions/read-marker](https://ircv3.net/specs/extensions/read-marker)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -367,8 +416,11 @@
  *
  * The constant string to use when negotiating the `sasl` capability.
  *
- * See https://ircv3.net/specs/extensions/sasl-3.1 and
- * https://ircv3.net/specs/extensions/sasl-3.2 for more information.
+ * See
+ * [ircv3.net/specs/extensions/sasl-3.1](https://ircv3.net/specs/extensions/sasl-3.1)
+ * and
+ * [ircv3.net/specs/extensions/sasl-3.2](https://ircv3.net/specs/extensions/sasl-3.2)
+ * for more information.
  *
  * > Note: Ibis will automatically request this if you have set
  * [property@Client:hasl-context].
@@ -385,7 +437,9 @@
  * > Note: Ibis will automatically request this if
  * [const@CAPABILITY_MESSAGE_TAGS] is supported by the server.
  *
- * See https://ircv3.net/specs/extensions/server-time for more information.
+ * See
+ * [ircv3.net/specs/extensions/server-time](https://ircv3.net/specs/extensions/server-time)
+ * for more information.
  *
  * Since: 0.1
  */
@@ -396,7 +450,9 @@
  *
  * The constant string to use when negotiating the `setname` capability.
  *
- * See https://ircv3.net/specs/extensions/setname for more information.
+ * See
+ * [ircv3.net/specs/extensions/setname](https://ircv3.net/specs/extensions/setname)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -408,8 +464,9 @@
  * The constant string to use when negotiating the `standard-replies`
  * capability.
  *
- * See https://ircv3.net/specs/extensions/standard-replies for more
- * information.
+ * See
+ * [ircv3.net/specs/extensions/standard-replies](https://ircv3.net/specs/extensions/standard-replies)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -422,8 +479,9 @@
  * The constant string to use when negotiating the `userhost-in-names`
  * capability.
  *
- * See https://ircv3.net/specs/extensions/userhost-in-names for more
- * information.
+ * See
+ * [ircv3.net/specs/extensions/userhost-in-names](https://ircv3.net/specs/extensions/userhost-in-names)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -435,7 +493,8 @@
  *
  * A constant representing the CTCP `ACTION` command.
  *
- * See https://datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.1
+ * See
+ * [datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.1](https://datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.1)
  * for more information.
  *
  * Since: 0.1
@@ -456,7 +515,8 @@
  *
  * A constant representing the CTCP `CLIENTINFO` command.
  *
- * See https://datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.2
+ * See
+ * [datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.2](https://datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.2)
  * for more information.
  *
  * Since: 0.2
@@ -468,7 +528,8 @@
  *
  * A constant representing the CTCP `DCC` command.
  *
- * See https://datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.3
+ * See
+ * [datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.3](https://datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.3)
  * for more information.
  *
  * Since: 0.2
@@ -480,7 +541,8 @@
  *
  * A constant representing the CTCP `FINGER` command.
  *
- * See https://datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.4
+ * See
+ * [datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.4](https://datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.4)
  * for more information.
  *
  * Since: 0.2
@@ -492,7 +554,8 @@
  *
  * A constant representing the CTCP `PING` command.
  *
- * See https://datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.5
+ * See
+ * [datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.5](https://datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.5)
  * for more information.
  *
  * Since: 0.2
@@ -504,7 +567,8 @@
  *
  * A constant representing the CTCP `SOURCE` command.
  *
- * See https://datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.6
+ * See
+ * [datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.6](https://datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.6)
  * for more information.
  *
  * Since: 0.2
@@ -516,7 +580,8 @@
  *
  * A constant representing the CTCP `TIME` command.
  *
- * See https://datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.7
+ * See
+ * [datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.7](https://datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.7)
  * for more information.
  *
  * Since: 0.2
@@ -528,7 +593,8 @@
  *
  * A constant representing the CTCP `USERINFO` command.
  *
- * See https://datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.9
+ * See
+ * [datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.9](https://datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.9)
  * for more information.
  *
  * Since: 0.2
@@ -540,7 +606,8 @@
  *
  * A constant representing the CTCP `VERSION` command.
  *
- * See https://datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.8
+ * See
+ * [datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.8](https://datatracker.ietf.org/doc/html/draft-oakley-irc-ctcp-02#appendix-A.8)
  * for more information.
  *
  * Since: 0.1
@@ -2082,7 +2149,9 @@
  *
  * A constant for the `account` tag.
  *
- * See https://ircv3.net/specs/extensions/account-tag for more information.
+ * See
+ * [ircv3.net/specs/extensions/account-tag](https://ircv3.net/specs/extensions/account-tag)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -2093,7 +2162,9 @@
  *
  * A constant for the `batch` tag.
  *
- * See https://ircv3.net/specs/extensions/batch for more information.
+ * See
+ * [ircv3.net/specs/extensions/batch](https://ircv3.net/specs/extensions/batch)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -2104,7 +2175,9 @@
  *
  * A constant for the `bot` tag.
  *
- * See https://ircv3.net/specs/extensions/bot-mode for more information.
+ * See
+ * [ircv3.net/specs/extensions/bot-mode](https://ircv3.net/specs/extensions/bot-mode)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -2115,6 +2188,10 @@
  *
  * A constant for the `label` tag.
  *
+ * See
+ * [ircv3.net/specs/extensions/labeled-response](https://ircv3.net/specs/extensions/labeled-response)
+ * for more information.
+ *
  * Since: 0.2
  */
 #define IBIS_TAG_LABEL "label" IBIS_AVAILABLE_MACRO_IN_0_2
@@ -2124,7 +2201,9 @@
  *
  * A constant for the `msgid` tag.
  *
- * See https://ircv3.net/specs/extensions/message-ids for more information.
+ * See
+ * [ircv3.net/specs/extensions/message-ids](https://ircv3.net/specs/extensions/message-ids)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -2135,7 +2214,9 @@
  *
  * A constant for the `multiline-concat` tag.
  *
- * See https://ircv3.net/specs/extensions/multiline for more information.
+ * See
+ * [ircv3.net/specs/extensions/multiline](https://ircv3.net/specs/extensions/multiline)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -2147,7 +2228,9 @@
  *
  * A constant for the `time` tag.
  *
- * See https://ircv3.net/specs/extensions/server-time for more information.
+ * See
+ * [ircv3.net/specs/extensions/server-time](https://ircv3.net/specs/extensions/server-time)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -2158,7 +2241,9 @@
  *
  * A constant for the `+react` tag.
  *
- * See https://ircv3.net/specs/client-tags/react for more information.
+ * See
+ * [ircv3.net/specs/client-tags/react](https://ircv3.net/specs/client-tags/react)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -2169,7 +2254,9 @@
  *
  * A constant for the `+reply` tag.
  *
- * See https://ircv3.net/specs/client-tags/reply for more information.
+ * See
+ * [ircv3.net/specs/client-tags/reply](https://ircv3.net/specs/client-tags/reply)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -2180,7 +2267,9 @@
  *
  * A constant for the `typing` tag.
  *
- * See https://ircv3.net/specs/client-tags/typing for more information.
+ * See
+ * [ircv3.net/specs/client-tags/typing](https://ircv3.net/specs/client-tags/typing)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -2191,8 +2280,9 @@
  *
  * A constant for the `+channel-context` tag.
  *
- * See https://ircv3.net/specs/client-tags/channel-context for more
- * information.
+ * See
+ * [ircv3.net/specs/client-tags/channel-context](https://ircv3.net/specs/client-tags/channel-context)
+ * for more information.
  *
  * Since: 0.2
  */
@@ -2200,3 +2290,4 @@
 	IBIS_AVAILABLE_MACRO_IN_0_2
 
 #endif /* IBIS_CONSTANTS_H */
+
